Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface CommunityMemberControl

    @ControlInterface
    public interface CommunityMemberControl

Control for Community member functionality. The method for creating a community membership is not exposed through this control, as creating a community membership should probably be done exclusively in a community registration page, for the currently authenticated user.

Method Summary
`void` | `activateMember(CommunityMemberId id, ResourceContext context)` Activates a disabled `CommunityMember` globally for all Communities.
`void` | `activateMembership(CommunityMemberId mId, CommunityDefinitionId cId, ResourceContext context)` Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.
`void` | `addMembershipCapability(CommunityMemberId mId, CommunityDefinitionId cId, MembershipCapability capability, ResourceContext context)` Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.
`void` | `disableMember(CommunityMemberId id, ResourceContext context)` Disables a `CommunityMember` globally for all Communities.
`void` | `disableMembership(CommunityMemberId mId, CommunityDefinitionId cId, ResourceContext context)` Disables a `CommunityMembership`.
`SortableFilterablePagedResult<CommunityMembership>` | `getCommunityMemberships(int pageSize, CommunityDefinitionId communityId, ResourceContext context)` Retrieves a paginated set of all memberships for the specified community.
`SortableFilterablePagedResult<CommunityMembership>` | `getCommunityMemberships(int pageSize, MembershipCriteria criteria, ResourceContext context)` Retrieves a paginated set of all memberships matching the specified criteria.
`CommunityMember` | `getMember(CommunityMemberId memberId, ResourceContext context)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`.
`CommunityMember` | `getMember(String userId, ResourceContext context)` Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id.
`CommunityMembership` | `getMembership(CommunityMemberId mId, CommunityDefinitionId cId, ResourceContext context)` Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.
`CommunityMembership` | `getMembership(String username, CommunityDefinitionId cId, ResourceContext context)` Returns the `CommunityMembership` information for a user if they have a membership in the specified community.
`void` | `removeCommunityMembership(CommunityMemberId communityMemberId, CommunityDefinitionId communityDefinitionId, ResourceContext context)` Removes a Community Membership
`void` | `removeMember(CommunityMemberId id, ResourceContext context)` Removes a `CommunityMember` globally for all Communities.
`void` | `removeMembershipCapability(CommunityMemberId mId, CommunityDefinitionId cId, MembershipCapability capability, ResourceContext context)` Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.

Method Detail

### getCommunityMemberships

    SortableFilterablePagedResult<CommunityMembership> getCommunityMemberships(int pageSize,
                                                                               CommunityDefinitionId communityId,
                                                                               ResourceContext context)
                                                                               throws ToolsException

  Retrieves a paginated set of all memberships for the specified community.

  Parameters
    `pageSize` - the number of memberships to return per page
    `communityId` - the definition ID of the community to get memberships for.
    `context` - a resource context
  Throws
    `ToolsException`

### getCommunityMemberships

    SortableFilterablePagedResult<CommunityMembership> getCommunityMemberships(int pageSize,
                                                                               MembershipCriteria criteria,
                                                                               ResourceContext context)
                                                                               throws ToolsException

  Retrieves a paginated set of all memberships matching the specified criteria.

  Parameters
    `pageSize` - the number of memberships to return per page
    `criteria` - an object specifiying search criteria for memberships to be returned
    `context` - a resource context
  Throws
    `ToolsException`

### removeCommunityMembership

    void removeCommunityMembership(CommunityMemberId communityMemberId,
                                   CommunityDefinitionId communityDefinitionId,
                                   ResourceContext context)
                                   throws ToolsException,
                                          ObjectNotFoundException

  Removes a Community Membership

  Parameters
    `communityMemberId` -
    `communityDefinitionId` -
    `context` - the resource context
  Throws
    `ObjectNotFoundException`
    `ToolsException`

### getMember

    CommunityMember getMember(String userId,
                              ResourceContext context)
                              throws ToolsException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by id. If deepInfo is set to true, `CommunityMembership` information is also retrieved and contained within the `CommunityMember` return value.

  Parameters
    `userId` - the WLS user id of the `CommunityMember` to look up
    `context` - the resource context
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise `null`.
  Throws
    `ToolsException`

### getMember

    CommunityMember getMember(CommunityMemberId memberId,
                              ResourceContext context)
                              throws ToolsException

  Retrieves a `CommunityMember` object populated with information for the `CommunityMember` specified by `CommunityMemberId`. If deepInfo is set to true, `CommunityMembership` information is also retrieved and contained within the `CommunityMember` return value.

  Parameters
    `memberId` - the `CommunityMemberId` of the user id of the `CommunityMember` to look up
    `context` - the resource context
  Returns
    a `CommunityMember` object populated with information for the specified `CommunityMember` if they exist, otherwise `null`.
  Throws
    `ToolsException`

### disableMember

    void disableMember(CommunityMemberId id,
                       ResourceContext context)
                       throws ObjectNotFoundException,
                              ToolsException

  Disables a `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to disable.
    `context` - the resource context
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `ToolsException`

### activateMember

    void activateMember(CommunityMemberId id,
                        ResourceContext context)
                        throws ObjectNotFoundException,
                               ToolsException

  Activates a disabled `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to activate.
    `context` - the resource context
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `ToolsException`

### removeMember

    void removeMember(CommunityMemberId id,
                      ResourceContext context)
                      throws ObjectNotFoundException,
                             ToolsException

  Removes a `CommunityMember` globally for all Communities.

  Parameters
    `id` - the id of the `CommunityMember` to remove.
    `context` - the resource context
  Throws
    `ObjectNotFoundException` - if the specified member does not exist in the database.
    `ToolsException`

### disableMembership

    void disableMembership(CommunityMemberId mId,
                           CommunityDefinitionId cId,
                           ResourceContext context)
                           throws ObjectNotFoundException,
                                  ToolsException

  Disables a `CommunityMembership`.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Throws
    `ObjectNotFoundException` - if no membership for the specified community and member exists.
    `ToolsException`

### activateMembership

    void activateMembership(CommunityMemberId mId,
                            CommunityDefinitionId cId,
                            ResourceContext context)
                            throws ObjectNotFoundException,
                                   ToolsException

  Activates a `CommunityMembership` in the specified `CommunityDefinition`, making a disabled member able to use the community once again.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Throws
    `ObjectNotFoundException` - if no membership for the specified community and member exists.
    `ToolsException`

### getMembership

    CommunityMembership getMembership(CommunityMemberId mId,
                                      CommunityDefinitionId cId,
                                      ResourceContext context)
                                      throws ToolsException

  Returns the `CommunityMembership` information for a `CommunityMember`, if they have a membership in the specified community.

  Parameters
    `mId` - the id of the `CommunityMember`
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Returns
    a `CommunityMembership` object populated with membership information for the specified `CommunityMember`, if it exists, otherwise null.
  Throws
    `ToolsException`

### getMembership

    CommunityMembership getMembership(String username,
                                      CommunityDefinitionId cId,
                                      ResourceContext context)
                                      throws ToolsException

  Returns the `CommunityMembership` information for a user if they have a membership in the specified community.

  Parameters
    `username` - the WLS username of the user
    `cId` - the id of the `CommunityDefinition`
    `context` - the resource context
  Returns
    a `CommunityMembership` object populated with membership information for the specified user, if it exists, otherwise null.
  Throws
    `ToolsException`

### addMembershipCapability

    void addMembershipCapability(CommunityMemberId mId,
                                 CommunityDefinitionId cId,
                                 MembershipCapability capability,
                                 ResourceContext context)
                                 throws ToolsException,
                                        IllegalArgumentException,
                                        ObjectNotFoundException

  Adds a capability (owner, leader or manager) to the `CommunityMembership` specified.

  Parameters
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to add to the membership, which is one of the `CommunityMembership.Capability` constants.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if the capability specified is not valid.
    `ObjectNotFoundException` - if the specified community membership does not exist.
    `ToolsException`

### removeMembershipCapability

    void removeMembershipCapability(CommunityMemberId mId,
                                    CommunityDefinitionId cId,
                                    MembershipCapability capability,
                                    ResourceContext context)
                                    throws ToolsException,
                                           IllegalArgumentException,
                                           ObjectNotFoundException

  Removes a capability (owner, leader or manager) from the `CommunityMembership` specified.

  Parameters
    `mId` - the id of the `CommunityMember` whose membership is to be modified.
    `cId` - the id of the `Community` for the membership.
    `capability` - the capability to remove from the membership, which is one of the `CommunityMembership.Capability` constants.
    `context` - the resource context
  Throws
    `IllegalArgumentException` - if the capability specified is not valid.
    `ObjectNotFoundException` - if the specified community membership does not exist.
    `ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.